import * as signalR from '@microsoft/signalr';
export declare class SignalRService {
  connection: signalR.HubConnection;
  private static instance;
  static getInstance(): SignalRService;
  constructor();
  start(): Promise<void>;
  callSignalR(hub: string, data: any): Promise<void>;
  getToken(): string;
}
